Skip to main content

Reembed Points

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTqdrant.qdrant-reembed-points

Re-embed points when embedding version changes.

Request Body

{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-reembed-points-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-reembed-points",
"arguments": {
"collection_name": "collection_name_example",
"point_ids": "",
"memory_filter": "",
"query_filter": "",
"batch_size": 1,
"max_points": "",
"target_version": "",
"recompute_text_hash": false,
"dry_run": false,
"confirm": false
}
}
}

Arguments Schema

{
"$defs": {
"MemoryFilterInput": {
"additionalProperties": true,
"properties": {
"type": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"entities": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "string"
},
{
"type": "null"
}
]
},
"labels": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "string"
},
{
"type": "null"
}
]
},
"related_ids": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "string"
},
{
"type": "null"
}
]
},
"scope": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"source": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at_from": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"created_at_to": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"updated_at_from": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"updated_at_to": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"expires_at_from": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"expires_at_to": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"confidence_min": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"confidence_max": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"text_hash": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
}
},
"properties": {
"collection_name": {
"type": "string"
},
"point_ids": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
]
},
"memory_filter": {
"anyOf": [
{
"$ref": "#/$defs/MemoryFilterInput"
},
{
"type": "null"
}
]
},
"query_filter": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
]
},
"batch_size": {
"type": "integer"
},
"max_points": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"target_version": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"recompute_text_hash": {
"type": "boolean"
},
"dry_run": {
"type": "boolean"
},
"confirm": {
"type": "boolean"
}
},
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-reembed-points-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-reembed-points",
"arguments": {
"collection_name": "collection_name_example",
"point_ids": "",
"memory_filter": "",
"query_filter": "",
"batch_size": 1,
"max_points": "",
"target_version": "",
"recompute_text_hash": false,
"dry_run": false,
"confirm": false
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool qdrant.qdrant-reembed-points executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}